Bug 144048 - CAN-2004-1237 kernel panic when Oracle agentctl is run
CAN-2004-1237 kernel panic when Oracle agentctl is run
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 22:24 EST by Con Tassios
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 18:52:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Con Tassios 2005-01-03 22:24:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Unable to handle kernel NULL pointer dereference at virtual address
00000008
 printing eip:
f8d6f8c6
*pde = 36abe001
*pte = 00000000
Oops: 0000
usbserial lp parport autofs4 audit tg3 bonding ipt_REJECT ipt_state
iptable_filter ip_conntrack ip_tables floppy sg microcode keybdev
mousedev hid input ehci-
CPU:    0
EIP:    0060:[<f8d6f8c6>]    Not tainted
EFLAGS: 00010246

EIP is at __audit_get_target [audit] 0x1f6 (2.4.21-27.0.1.ELsmp/i686)
eax: 00000000   ebx: f6a91e6c   ecx: 00000003   edx: f6a91f68
esi: f6a8ee9c   edi: 00000203   ebp: f6a91e2c   esp: f6a91da4
ds: 0068   es: 0068   ss: 0068
Process agentctl (pid: 1716, stackpage=f6a91000)
Stack: f6a8ee3c 00000000 f6a8fda0 00000001 f6a91dfc f6a91e6c f7660680
f7660680 
       f8d6ff88 00000203 f6a91f68 f6a91e6c f6a8ee9c 00000000 00000000
00000000 
       00000005 f6a8ee9c 00000000 c6ab6600 f6a8eeb4 c6ab6624 f6a91dec
c6807f80 
Call Trace:   [<f8d6ff88>] audit_filter_eval [audit] 0x2a8 (0xf6a91dc4)
[<c013ef62>] __free_pte [kernel] 0x52 (0xf6a91e90)
[<c0145187>] zap_pte_range [kernel] 0x2a7 (0xf6a91ea0)
[<c01457f6>] __vma_link [kernel] 0x46 (0xf6a91eec)
[<c01472b4>] __insert_vm_struct [kernel] 0x74 (0xf6a91f10)
[<f8d72664>] audit_lock [audit] 0x0 (0xf6a91f2c)
[<f8d6af40>] __audit_policy_check [audit] 0x40 (0xf6a91f3c)
[<f8d6af7b>] audit_policy_check [audit] 0x2b (0xf6a91f48)
[<f8d6a84b>] __audit_syscall_return [audit] 0x7b (0xf6a91f58)
[<f8d6ac9a>] __audit_result [audit] 0x3a (0xf6a91f94)
[<c01feb89>] audit_result [kernel] 0x49 (0xf6a91fa4)
[<c01110b8>] syscall_trace_leave [kernel] 0x58 (0xf6a91fb0)

Code: 8b 48 08 85 c9 0f 84 87 00 00 00 8d 87 00 fe ff ff 83 f8 06

Kernel panic: Fatal exception




Oracle DBAs are using the following script which results in a kernel
panic when run from cron.  Seems to work from command line.

#!/bin/sh
ORACLE_HOME=/oracle/product/9.2.0; export ORACLE_HOME
LD_LIBRARY_PATH=$ORACLE_HOME/lib; export LD_LIBRARY_PATH
TNS_LOG=$ORACLE_HOME/network/log; export TNS_LOG
TNS_ADMIN=$ORACLE_HOME/network/admin; export TNS_ADMIN
PATH=$ORACLE_HOME/bin:.:$PATH; export PATH

stopprocs() {
  lsnrctl set log_status off
  agentctl stop
}

startprocs() {
  agentctl start
  lsnrctl set log_status on
}

listenerlog() {
  LOG=listener.log
  cd $TNS_LOG
  test -f $LOG.2 && mv $LOG.2 $LOG.3
  test -f $LOG.1 && mv $LOG.1 $LOG.2
  test -f $LOG.0 && mv $LOG.0 $LOG.1
  mv $LOG $LOG.0
}

stopprocs
listenerlog




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run script from cron
2.
3.
    

Additional info:

Hardware is HP Proliant DL380 G4, dual 3.4GHz, 4GB RAM, running Oracle
9.2.0.  

Kernel is booted using noexec=off option.
Comment 2 Bill Nottingham 2005-01-04 13:13:14 EST

*** This bug has been marked as a duplicate of 132245 ***
Comment 3 David Lawrence 2005-01-18 18:52:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-043.html

Note You need to log in before you can comment on or make changes to this bug.